body {
  display: flex;
  background: url(../images/bg/bricks.png), linear-gradient(white, #f6f4ff) fixed;
}

nav {
  flex: 1;
}
nav ul {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  position: fixed;
  
  top: 0;
  left: 2vw;
  right: 80vw;
}
nav ul li {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  margin-top: 20px;
}
nav ul li img {
  width: 100px;
}
nav ul li p {
  margin: 0;
  font-weight: bold;
  user-select: none;
  -webkit-user-select: none;
}

main {
  padding-left: 40px;
  flex: 4;
  display: flex;
  flex-direction: column;
}

a.totop {
  position: fixed;
  bottom: 2vw;
  right: 2vw;
  height: 70px;
  width: 70px;
  font-size: 70px;
  text-decoration: none;
  color: white;
  text-shadow: 2px 3px #cdc0ff;
  background: #aa94ff;
  padding: 10px;
  text-align: center;
  border-radius: 10px;
}

@media only screen and (max-width: 630px) {
  body {
    flex-direction: column;
  }
  main {
    padding: 0;
  }
  nav {
    background: linear-gradient(transparent, #f6f4ff);
  }
  nav ul {
    position: static;
  }
  a.totop {
    padding: 0;
  }
}

@media only screen and (max-width: 450px) {
  nav ul li img {
    width: 80px;
  }
}